## rock-master-20.01-drivers-orogen-canopen-master 0.20191202

=== CMakeLists.txt ===
project(canopen_master)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/.orogen/config")
include(canopen_masterBase)

if (ROCK_TEST_ENABLED)
    enable_testing()
    find_package(Syskit REQUIRED)
    syskit_orogen_tests(test)
endif()

=== tasks/CMakeLists.txt ===
# Generated from orogen/lib/orogen/templates/tasks/CMakeLists.txt

include(canopen_masterTaskLib)
ADD_LIBRARY(${CANOPEN_MASTER_TASKLIB_NAME} SHARED 
    ${CANOPEN_MASTER_TASKLIB_SOURCES})
add_dependencies(${CANOPEN_MASTER_TASKLIB_NAME}
    regen-typekit)



TARGET_LINK_LIBRARIES(${CANOPEN_MASTER_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${QT_LIBRARIES}
    ${CANOPEN_MASTER_TASKLIB_DEPENDENT_LIBRARIES})
SET_TARGET_PROPERTIES(${CANOPEN_MASTER_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${CANOPEN_MASTER_TASKLIB_INTERFACE_LIBRARIES}")
SET_TARGET_PROPERTIES(${CANOPEN_MASTER_TASKLIB_NAME}
    PROPERTIES INTERFACE_LINK_LIBRARIES "${CANOPEN_MASTER_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${CANOPEN_MASTER_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${CANOPEN_MASTER_TASKLIB_HEADERS}
    DESTINATION include/orocos/canopen_master)

=== debian/changelog ===
rock-master-20.01-drivers-orogen-canopen-master (0.20191202-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-drivers/drivers-orogen-canopen_master.git
  * branch: refs/heads/master
  * commit: 2957fa8da6065ad97ab70581215d3e5f17affc62
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sun, 09 Feb 2020 04:50:31 +0100

=== debian/control ===
Source: rock-master-20.01-drivers-orogen-canopen-master
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-base-cmake, rock-master-20.01-base-orogen-std, rock-master-20.01-drivers-canopen-master, rock-master-20.01-drivers-orogen-canbus, rock-master-20.01-ruby-orogen, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-drivers-orogen-canopen-master
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-base-orogen-std, rock-master-20.01-drivers-canopen-master, rock-master-20.01-drivers-orogen-canbus, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Description: Collection of tasks to integrate drivers based on drivers/canopen_master in orogen
 Collection of tasks to integrate drivers based on drivers/canopen_master in orogen
